<?php

/**
 * <pre>
 * Invision Power Services
 * IP.CCS class loader
 * Last Updated: $Date: 2010-01-27 20:50:40 -0500 (Wed, 27 Jan 2010) $
 * </pre>
 *
 * @author 		$Author: bfarber $
 * @copyright	(c) 2001 - 2009 Invision Power Services, Inc.
 * @license		http://www.invisionpower.com/community/board/license.html
 * @package		IP.Content
 * @link		http://www.invisionpower.com
 * @since		1st March 2009
 * @version		$Revision: 183 $
 */

if( !defined('DATABASE_FURL_MARKER') )
{
	define( 'DATABASE_FURL_MARKER', '_' );
}

class app_class_ccs
{
	/**
	 * Constructor
	 *
	 * @access	public
	 * @param	object	ipsRegistry
	 * @return	void
	 */
	public function __construct( ipsRegistry $registry )
	{
		//-----------------------------------------
		// Could potentially be setup from sessions
		//-----------------------------------------
		
		if( !$registry->isClassLoaded( 'ccsFunctions' ) )
		{
			require_once( IPSLib::getAppDir('ccs') . '/sources/functions.php' );
			$registry->setClass( 'ccsFunctions', new ccsFunctions( $registry ) );
		}
	}
}